package main

import (
  "github.com/spf13/viper"

  "git.metaunix.net/BitGoblin/adept/config"
  "git.metaunix.net/BitGoblin/adept/transcoder"
)

func main() {
  // load configuration via Viper
  config.LoadConfig()

  // configure our app logging
  logHandle := config.InitLogging()
  if logHandle != nil {
    defer logHandle.Close()
  }

  // initialize the video repository
  r := transcoder.NewRepository(viper.GetString("transcoder.repository"))

  // create transcoder object and start the main loop
  t := transcoder.NewTranscoder(*r)
  t.Start()
}
